petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMShellGetContext

set some data to be usable by this DM

### Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellGetContext(DM dm,void **ctx)

Collective Many br

### Input Argument

dm -shell DM Many br

### Output Argument

ctx -the context Many br

Many br

### See Also

DMCreateMatrix(), DMShellSetContext()

Level:advanced
Location:src/dm/impls/shell/dmshell.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex65.c.html